package com.iot.puc.aplication;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.List;

/**
 * Created by Jessica on 11/18/2015.
 */
public class MyAdapterMazeMapsList extends ArrayAdapter<ItemMazeMap> {

    public List<ItemMazeMap> list;
    private Activity context;


    public MyAdapterMazeMapsList(Activity context,  List<ItemMazeMap> list) {
        super(context, R.layout.item_maze_map, list);
        this.context = context;
        this.list = list;
    }

    static class ViewHolder {
     //   protected TextView text;
     //protected CheckBox ckbox;
        protected ImageView ivrow;
        protected CheckBox ckbox;

    }

    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {



        ViewHolder viewHolder = null;
        if (convertView == null) {
            LayoutInflater inflator = context.getLayoutInflater();
            convertView = inflator.inflate(R.layout.item_maze_map, null);
            viewHolder = new ViewHolder();
            viewHolder.ivrow = (ImageView)convertView.findViewById(R.id.ivItemMaze);

            convertView.setTag(viewHolder);

            viewHolder.ckbox = (CheckBox)convertView.findViewById(R.id.ckbox);

            viewHolder.ckbox.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View view) {
                    CheckBox cb = (CheckBox) view;
                    int getPosition = (Integer) cb.getTag();
                    list.get(getPosition).setSelected(cb.isChecked());
                }
            });



            ItemMazeMap itemMazeMap = list.get(position);

            convertView.setTag(viewHolder);
            viewHolder.ckbox.setChecked(itemMazeMap.isSelected());
            viewHolder.ckbox.setTag(itemMazeMap);
            convertView.setTag(R.id.ckbox, viewHolder.ckbox);

            convertView.setTag(R.id.ivItemMaze, viewHolder.ivrow);

        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }

        viewHolder.ivrow.setImageBitmap(list.get(position).getBitmap());
        viewHolder.ckbox.setTag(position);
        viewHolder.ckbox.setChecked(list.get(position).isSelected());
        return convertView;
    }
}
